%global user durin42
%global hash 051a517b473b

Name:          hgsubversion
Version:       1.8.7
Release:       1%{?dist}
Summary:       Mercurial extension for working with Subversion repositories
License:       GPLv2
URL:           https://bitbucket.org/%{user}/%{name}
Source0:       https://bitbucket.org/%{user}/%{name}/get/%{version}.tar.bz2#/%{user}-%{name}-%{hash}.tar.bz2

BuildRequires: subversion >= 1.5
BuildRequires: subversion-python
BuildRequires: mercurial >= 1.3
BuildRequires: python2-devel
# For generating documentation
BuildRequires: python-docutils
# For running tests
BuildRequires: python-nose

Requires: mercurial
Requires: subversion-python

BuildArch: noarch

%{?python_provide:%python_provide python2-%{name}}

%description
hgsubversion is an extension for Mercurial that allows using Mercurial
as a Subversion client.

%prep
%setup -q -n %{user}-%{name}-%{hash}

%build
%{__python2} setup.py build
rst2html hgsubversion/help/subversion.rst hgsubversion.html

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
rm -rf %{buildroot}/%{python2_sitelib}/%{name}/*/*.rst

%check
nosetests -v

%files
%{python2_sitelib}/*
%doc hgsubversion.html
%{!?_licensedir:%global license %%doc}
# NOTE: notice of old address submitted upstream ( see https://bitbucket.org/durin42/hgsubversion/issue/440/address-needs-to-be-updated-in-copying )
%license COPYING

%changelog
* Sun Feb 12 2017 Dave Johansen <davejohansen@gmail.com> - 1.8.7-1
- Update to latest version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Jun 25 2016 Dave Johansen <davejohansen@gmail.com> - 1.8.6-1
- Update to latest version

* Thu Feb 11 2016 Dave Johansen <davejohansen@gmail.com> - 1.8.5-1
- Update to latest version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 07 2016 Dave Johansen <davejohansen@gmail.com> - 1.8.4-1
- Update to latest version

* Mon May 11 2015 Dave Johansen <davejohansen@gmail.com> - 1.8.3-1
- Initial RPM release
